source init.tcl
source $eres(ui)
source parser.tcl
source eclipse-api.tcl

#----------------------------------------------------------------------
# Initialise and start eres toplevel
#----------------------------------------------------------------------
wm title . "E-RES Translator"

eres-user-interface .

switch $tkecl(version) {
    4.2 {
	ec_post_goal "gui_toplevel"
    }
    default {
        ec_post_goal "toplevel:gui_toplevel"
    }
}

resume_query

queryEclipse "dynamic initiation/2, termination/2, happens/2, tprop/1, ram/1, abducible/1, pprop/3, priority/3, constantfluent/1"

queryEclipse "dynamic show_messages/1"
queryEclipse "asserta(show_messages('$show_messages'))"

queryEclipse "compile('$eres(filename)')"

set supportLines [split $eres(support) ","]
   foreach line $supportLines {
        if {[string compare $eres(support) ""] != 0} {queryEclipse "compile('$line')"}
   }
queryEclipse "compile('$eres(variant)')"




