% =============================================================================================
% Satisfies the domain constraints at all time points.
% =============================================================================================

validate_constraints(Delta0, Relevant ,Delta1):-
	show('\n\n\n>> ====================\n>> Checking all time points.\n>> ====================\n\n'),
	process_relevant_constraints(Delta0, Relevant, Delta1),
	show('\n\n\n>> ====================\n>> Checked all time points.\n>> ====================\n\n\n'),
	show('\n>> Final Delta list:\n'), showDelta(Delta1).


process_relevant_constraints(Delta0, relevant([], [], _, _, _), Delta0):-
	!, show('\n>> No relevant constraints in domain.\n').
process_relevant_constraints(Delta0, Relevant, Delta1):-
	checkallrams(Delta0, Relevant, Delta1).


% =============================================================================================
% End of file.
% =============================================================================================
